Name:           perl-Net-Dropbox-API
Version:        1.9
Release:        9%{?dist}
Summary:        A dropbox API interface
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-Dropbox-API/
Source0:        http://www.cpan.org/authors/id/N/NO/NORBU/Net-Dropbox-API-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Module::Install)
BuildRequires:  perl(URI)
BuildRequires:  perl(JSON)
BuildRequires:  perl(Mouse)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Net::OAuth)
BuildRequires:  perl(Data::Random)
BuildRequires:  perl(common::sense)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(HTTP::Request::Common)
# for tests
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(LWP::Protocol::https)

%description
The Dropbox API is a OAuth based API. It is abstracted as much away
as possible so you should not need to know too much about it.

%prep
%setup -q -n Net-Dropbox-API-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes ignore.txt README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.9-8
- Perl 5.22 rebuild

* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.9-7
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Petr Pisar <ppisar@redhat.com> - 1.9-5
- Perl 5.18 rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Dec 12 2012 Robin Lee <cheeselee@fedoraproject.org> - 1.9-2
- BuildRequires:  perl(Module::Install)

* Wed Dec 12 2012 Robin Lee <cheeselee@fedoraproject.org> - 1.9-1
- Update to 1.9

* Thu Aug 16 2012 Robin Lee <cheeselee@fedoraproject.org> - 1.8-3
- Requires perl(LWP::Protocol::https)

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 15 2012 Robin Lee <cheeselee@fedoraproject.org> 1.8-1
- Specfile autogenerated by cpanspec 1.78.
